package ru.yandex.webmaster3.storage.download.common;

import ru.yandex.webmaster3.core.util.json.polymorphic.Polymorphic;

/**
 * @author avhaliullin
 */
public abstract class MdsExportDescriptor implements Polymorphic<DownloadFileType> {
    private final DownloadFileType type;

    public MdsExportDescriptor(DownloadFileType type) {
        this.type = type;
    }

    @Override
    public DownloadFileType getType() {
        return type;
    }
}
